package dto.create;

import cz.fi.muni.pa165.entity.Band;
import cz.fi.muni.pa165.enums.MusicianType;
import lombok.Data;
import org.jetbrains.annotations.NotNull;
import org.springframework.data.annotation.Id;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.ManyToOne;
import java.util.UUID;

@Data
public class MusicianCreateDto {
    @Id
    @NotNull
    private String id = UUID.randomUUID().toString();

    @NotNull
    private String name;

    @NotNull
    @Enumerated(EnumType.STRING)
    private MusicianType type;

    @ManyToOne
    private Band band;
}
